/**
 * Injection token for Parameter Store configuration properties.
 * Used to provide and inject configuration options throughout the module.
 */
export declare const PARAMETER_STORE_CONFIG_PROPERTIES: string;
/**
 * Injection token for Parameter Store parameters.
 * Used to provide and inject the parameters retrieved from AWS Parameter Store.
 */
export declare const PARAMETER_STORE_CONFIG_PARAMETERS: string;
/**
 * Injection token for the AWS SSM client.
 * Used to provide and inject the configured SSM client.
 */
export declare const PARAMETER_STORE_SSM_CLIENT: string;
