import type { FactoryProvider } from "@nestjs/common";
import { SSMClient } from "@aws-sdk/client-ssm";
/**
 * Factory provider that creates and configures an AWS SSM client.
 * Uses the configuration provided through the Parameter Store module.
 */
export declare const ParameterStoreConfigSSMProvider: FactoryProvider<SSMClient>;
