'use strict';

/**
 * Enum representing different deployment environments.
 */
exports.EEnvironment = void 0;
(function (EEnvironment) {
    EEnvironment["DOCKER"] = "docker";
    EEnvironment["EC2"] = "ec2";
    EEnvironment["ECS"] = "ecs";
    EEnvironment["EKS"] = "eks";
    EEnvironment["ELASTIC_BEANSTALK"] = "elastic-beanstalk";
    EEnvironment["HEROKU"] = "heroku";
    EEnvironment["KUBERNETES"] = "kubernetes";
    EEnvironment["LOCAL"] = "local";
    EEnvironment["PRODUCTION"] = "production";
    EEnvironment["STAGING"] = "staging";
    EEnvironment["TEST"] = "test";
})(exports.EEnvironment || (exports.EEnvironment = {}));
//# sourceMappingURL=environment.enum.js.map
