import type { ValueProvider } from "@nestjs/common";
import type { IParameterStoreConfigProperties } from '../../interface/config/index';
/**
 * Creates a value provider for Parameter Store configuration properties.
 * @param {IParameterStoreConfigProperties} options - The configuration options to provide
 * @returns {ValueProvider<IParameterStoreConfigProperties>} A ValueProvider that provides the configuration options
 */
export declare const ParameterStoreConfigPropertiesProvider: (options: IParameterStoreConfigProperties) => ValueProvider<IParameterStoreConfigProperties>;
