import type { Parameter } from "@aws-sdk/client-ssm";
import type { FactoryProvider } from "@nestjs/common";
/**
 * Factory provider that fetches parameters from AWS Parameter Store.
 * Constructs the parameter path based on application and environment settings,
 * then retrieves all parameters under that path.
 */
export declare const ParameterStoreConfigParametersProvider: FactoryProvider<Array<Parameter>>;
